###### Predefinitions #####
%define name		gigi
%define oname		GG
%define revision	695
%define version		0.7.0
%define release		%mkrel 0.%{revision}svn.1
%define libname 	%mklibname %name 0
%define develname	%mklibname %name -d

##### Header #####
Summary:	a GUI library for OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}.%{revision}svn.tar.lzma
License:	GPL
Group:		System/Libraries
URL:		http://gigi.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	scons freetype2-devel devil-devel SDL-devel ois-devel
BuildRequires:	boost-devel >= 1.37.0
BuildRequires:	ogre-devel >= 1.4.6
BuildRequires:	gcc >= 4.3
Obsoletes:	%{name} < %{version}-%{release}
Obsoletes:	%{develname} < %{version}-%{release}

##### Description #####
%description
GiGi (aka GG) is a GUI library for OpenGL. It is platform-independent (it runs at least on Linux and Windows, and probably more), compiler-independent (it compiles under at GCC 3.2 or higher and MSVC++ 7.1 or higher, and probably more), and driver-independent. A reference driver for SDL is provided, and it is straightforward to write one for yourself should you decide to do so.

##### Subpackages #####
%package -n %{libname}
Summary:	a GUI library for OpenGL
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides:	lib%{oname} = %{version}-%{release}

%description -n %{libname}
GiGi (aka GG) is a GUI library for OpenGL. It is platform-independent (it runs at least on Linux and Windows, and probably more), compiler-independent (it compiles under at GCC 3.2 or higher and MSVC++ 7.1 or higher, and probably more), and driver-independent. A reference driver for SDL is provided, and it is straightforward to write one for yourself should you decide to do so.

##### setup, build, install #####
%prep
%setup -q -n %{oname}

%build
%configure_scons
%scons

%install

rm -rf %{buildroot}
mkdir %{buildroot}
mkdir %{buildroot}/usr
%ifarch i586
mkdir %{buildroot}/usr/lib
mkdir %{buildroot}/usr/lib/pkgconfig
%endif
%ifarch x86_64
mkdir %{buildroot}/usr/lib64
mkdir %{buildroot}/usr/lib64/pkgconfig
%endif
mkdir %{buildroot}/usr/include
mkdir %{buildroot}/usr/include/GG
mkdir %{buildroot}/usr/include/GG/dialogs
mkdir %{buildroot}/usr/include/GG/Ogre
mkdir %{buildroot}/usr/include/GG/SDL
cp GG/*.h %{buildroot}/usr/include/GG/
cp GG/*.py %{buildroot}/usr/include/GG/
cp GG/dialogs/*.h %{buildroot}/usr/include/GG/dialogs/
cp GG/Ogre/*.h %{buildroot}/usr/include/GG/Ogre/
cp GG/SDL/*.h %{buildroot}/usr/include/GG/SDL/
%ifarch i586
cp libGiGi.so %{buildroot}/usr/lib/libGiGi.so.0.6.0
cd %{buildroot}/usr/lib
%endif
%ifarch x86_64
cp libGiGi.so %{buildroot}/usr/lib64/libGiGi.so.0.6.0
cd %{buildroot}/usr/lib64
%endif
ln -s libGiGi.so.0.6.0 libGiGi.so
cd -
%ifarch i586
cp GiGi.pc %{buildroot}/usr/lib/pkgconfig/GiGi.pc
cp libGiGiSDL.so %{buildroot}/usr/lib/libGiGiSDL.so.0.6.0
cd %{buildroot}/usr/lib
%endif
%ifarch x86_64
cp GiGi.pc %{buildroot}/usr/lib64/pkgconfig/GiGi.pc
cp libGiGiSDL.so %{buildroot}/usr/lib64/libGiGiSDL.so.0.6.0
cd %{buildroot}/usr/lib64
%endif
ln -s libGiGiSDL.so.0.6.0 libGiGiSDL.so
cd -
%ifarch i586
cp GiGiSDL.pc %{buildroot}/usr/lib/pkgconfig/GiGiSDL.pc
cp libGiGiOgre.so %{buildroot}/usr/lib/libGiGiOgre.so.0.6.0
cd %{buildroot}/usr/lib
%endif
%ifarch x86_64
cp GiGiSDL.pc %{buildroot}/usr/lib64/pkgconfig/GiGiSDL.pc
cp libGiGiOgre.so %{buildroot}/usr/lib64/libGiGiOgre.so.0.6.0
cd %{buildroot}/usr/lib64
%endif
ln -s libGiGiOgre.so.0.6.0 libGiGiOgre.so
cd -
%ifarch i586
cp GiGiOgre.pc %{buildroot}/usr/lib/pkgconfig/GiGiOgre.pc
cp libGiGiOgrePlugin_OIS.so %{buildroot}/usr/lib/libGiGiOgrePlugin_OIS.so.0.6.0
cd %{buildroot}/usr/lib
%endif
%ifarch x86_64
cp GiGiOgre.pc %{buildroot}/usr/lib64/pkgconfig/GiGiOgre.pc
cp libGiGiOgrePlugin_OIS.so %{buildroot}/usr/lib64/libGiGiOgrePlugin_OIS.so.0.6.0
cd %{buildroot}/usr/lib64
%endif
ln -s libGiGiOgrePlugin_OIS.so.0.6.0 libGiGiOgrePlugin_OIS.so
cd -

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

##### Files #####
%files -n %{libname}
%defattr(0755,root,root,0755)
%dir %{_includedir}/GG
%dir %{_includedir}/GG/SDL
%dir %{_includedir}/GG/dialogs
%dir %{_includedir}/GG/Ogre
%{_libdir}/libGiGi*.so.0.6.0
%{_libdir}/libGiGi*.so
%{_libdir}/pkgconfig/GiGi*
%{_includedir}/GG/*.h
%{_includedir}/GG/*.py
%{_includedir}/GG/SDL/SDLGUI.h
%{_includedir}/GG/dialogs/*.h
%{_includedir}/GG/Ogre/*.h

##### Changelog #####
%changelog
* Sat Jan 31 2009 Oliver Burger <rpm@mandrivauser.de> 0.7.0-0.695svn.1mud2009.0
- new svn revision 695
- needed for freeorion release 0.3.11

* Tue Jan 06 2009 Oliver Burger <rpm@mandrivauser.de> 0.7.0-0.693svn.1mud2009.0
- new svn-revision 693

* Tue Dec 23 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-0.688svn.2mud2009.0
- removed devel-package

* Tue Dec 16 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-0.688svn.1mud2009.0
- new svn-revision 688

* Mon Jul 14 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.655svn.2mud2008.1
- added patch for use of gcc4.3

* Sun Jul 13 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.655svn.1mud2008.1
- new svn-revision 655

* Sun May 11 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.647svn.1mud2008.1
- new svn-revision 647

* Wed Apr 09 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.645svn.1mud2008.1
- rebuild for 2008.1

* Fri Apr 04 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.645svn.2mud2008.0
- changed some install-paths
- changed permissions in libgigi0

* Thu Apr 03 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.645svn.1mud2008.0
- new svn-revision 645

* Tue Apr 01 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.644svn.2mud2008.0
- Fixed read-permissions for files of devel-package

* Tue Apr 01 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1.644svn.1mud2008.0
- svn revision 644

* Tue Apr 01 2008 Oliver Burger <rpm@mandrivauser.de> 0.7.0-1mud2008.0
- new version 0.7.0
- split into subpackages

* Mon Mar 24 2008 Oliver Burger <rpm@mandrivauser.de> 0.6.9.637svn-1mud2008.0
- new version 0.6.9.637svn

* Sun Mar 16 2008 Oliver Burger <rpm@mandrivauser.de> 0.6.9.634svn-1mud2008.0
- new version 0.6.9.634svn
- changed source-compression to lzma

* Sat Mar 08 2008 Oliver Burger <rpm@mandrivauser.de> 0.6.9.632svn-1mud2008.0
- initial package for Mandrivalinux
